DefaultLookups (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.interpol, enum: DefaultLookups

Package org.apache.commons.configuration2.interpol

# Enum DefaultLookups

java.lang.Object
java.lang.Enum<DefaultLookups>
org.apache.commons.configuration2.interpol.DefaultLookups

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultLookups>`

public enum DefaultLookups extends Enum<DefaultLookups>
Enumerates built-in `Lookup` objects available for `Configuration` instances.

When a new configuration object derived from `AbstractConfiguration` is created, it installs a `ConfigurationInterpolator` containing a default set of `Lookup` objects. These lookups are defined by this enumeration class, however not all lookups may be included in the defaults. See `ConfigurationInterpolator.getDefaultPrefixLookups()` for details.

All the `Lookup`s defined here are state-less, thus their instances can be shared between multiple configuration objects. Therefore, it makes sense to keep shared instances in this enumeration class.

Provides access to lookups defined in Apache Commons Text:

- "base64Decoder" for the `Base64DecoderStringLookup` since Apache Commons Text 1.6.
- "base64Encoder" for the `Base64EncoderStringLookup` since Apache Commons Text 1.6.
- "const" for the `ConstantStringLookup` since Apache Commons Text 1.5.
- "date" for the `DateStringLookup`.
- "env" for the `EnvironmentVariableStringLookup`.
- "file" for the `FileStringLookup` since Apache Commons Text 1.5.
- "java" for the `JavaPlatformStringLookup`.
- "localhost" for the `LocalHostStringLookup`, see `#localHostStringLookup()` for key names; since Apache Commons Text 1.3.
- "properties" for the `PropertiesStringLookup` since Apache Commons Text 1.5.
- "resourceBundle" for the `ResourceBundleStringLookup` since Apache Commons Text 1.5.
- "script" for the `ScriptStringLookup` since Apache Commons Text 1.5.
- "sys" for the `SystemPropertyStringLookup`.
- "url" for the `UrlStringLookup` since Apache Commons Text 1.5.
- "urlDecoder" for the `UrlDecoderStringLookup` since Apache Commons Text 1.6.
- "urlEncoder" for the `UrlEncoderStringLookup` since Apache Commons Text 1.6.
- "xml" for the `XmlStringLookup` since Apache Commons Text 1.5.

Since:
  2.0

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BASE64_DECODER`
  The lookup for Base64 decoding, accessed using the prefix `"base64Decoder"`.
  `BASE64_ENCODER`
  The lookup for Base64 encoding, accessed using the prefix `"base64Encoder"`.
  `CONST`
  The lookup for Java constants, accessed using the prefix `"const"`.
  `DATE`
  The lookup for the current date in a specified format, accessed using the prefix `"date"`.
  `DNS`
  The lookup for DNS, accessed using the prefix `"dns"`.
  `ENVIRONMENT`
  The lookup for environment properties, accessed using the prefix `"env"`.
  `FILE`
  The lookup for file content, accessed using the prefix `"file"`.
  `JAVA`
  The lookup for Java platform information, accessed using the prefix `"java"`.
  `LOCAL_HOST`
  The lookup for localhost information, accessed using the prefix `"localhost"`.
  `PROPERTIES`
  The lookup for properties, accessed using the prefix `"properties"`.
  `RESOURCE_BUNDLE`
  The lookup for resource bundles, accessed using the prefix `"resourceBundle"`.
  `SCRIPT`
  The lookup for scripts, accessed using the prefix `"script"`.
  `SYSTEM_PROPERTIES`
  The lookup for system properties, accessed using the prefix `"sys"`.
  `URL`
  The lookup for URLs, accessed using the prefix `"url"`.
  `URL_DECODER`
  The lookup for URL decoding, accessed using the prefix `"urlDecoder"`.
  `URL_ENCODER`
  The lookup for URL encoding, accessed using the prefix `"urlEncoder"`.
  `XML`
  The lookup for XML content, accessed using the prefix `"xml"`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Lookup`
  `getLookup()`
  Gets the standard `Lookup` instance of this kind.
  `String`
  `getPrefix()`
  Gets the standard prefix for the lookup object of this kind.
  `static DefaultLookups`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DefaultLookups[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BASE64_DECODER

    public static final DefaultLookups BASE64_DECODER
    The lookup for Base64 decoding, accessed using the prefix `"base64Decoder"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.base64DecoderStringLookup()`

  - ### BASE64_ENCODER

    public static final DefaultLookups BASE64_ENCODER
    The lookup for Base64 encoding, accessed using the prefix `"base64Encoder"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.base64EncoderStringLookup()`

  - ### CONST

    public static final DefaultLookups CONST
    The lookup for Java constants, accessed using the prefix `"const"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.constantStringLookup()`

  - ### DATE

    public static final DefaultLookups DATE
    The lookup for the current date in a specified format, accessed using the prefix `"date"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.dateStringLookup()`

  - ### DNS

    public static final DefaultLookups DNS
    The lookup for DNS, accessed using the prefix `"dns"`.
    Since:
      2.6
    See Also:
      - `StringLookupFactory.dnsStringLookup()`

  - ### ENVIRONMENT

    public static final DefaultLookups ENVIRONMENT
    The lookup for environment properties, accessed using the prefix `"env"`.
    See Also:
      - `StringLookupFactory.environmentVariableStringLookup()`

  - ### FILE

    public static final DefaultLookups FILE
    The lookup for file content, accessed using the prefix `"file"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.fileStringLookup()`

  - ### JAVA

    public static final DefaultLookups JAVA
    The lookup for Java platform information, accessed using the prefix `"java"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.javaPlatformStringLookup()`

  - ### LOCAL_HOST

    public static final DefaultLookups LOCAL_HOST
    The lookup for localhost information, accessed using the prefix `"localhost"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.localHostStringLookup()`

  - ### PROPERTIES

    public static final DefaultLookups PROPERTIES
    The lookup for properties, accessed using the prefix `"properties"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.propertiesStringLookup()`

  - ### RESOURCE_BUNDLE

    public static final DefaultLookups RESOURCE_BUNDLE
    The lookup for resource bundles, accessed using the prefix `"resourceBundle"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.resourceBundleStringLookup()`

  - ### SCRIPT

    public static final DefaultLookups SCRIPT
    The lookup for scripts, accessed using the prefix `"script"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.scriptStringLookup()`

  - ### SYSTEM_PROPERTIES

    public static final DefaultLookups SYSTEM_PROPERTIES
    The lookup for system properties, accessed using the prefix `"sys"`.
    See Also:
      - `StringLookupFactory.systemPropertyStringLookup()`

  - ### URL

    public static final DefaultLookups URL
    The lookup for URLs, accessed using the prefix `"url"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.urlStringLookup()`

  - ### URL_DECODER

    public static final DefaultLookups URL_DECODER
    The lookup for URL decoding, accessed using the prefix `"urlDecoder"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.urlDecoderStringLookup()`

  - ### URL_ENCODER

    public static final DefaultLookups URL_ENCODER
    The lookup for URL encoding, accessed using the prefix `"urlEncoder"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.urlEncoderStringLookup()`

  - ### XML

    public static final DefaultLookups XML
    The lookup for XML content, accessed using the prefix `"xml"`.
    Since:
      2.4
    See Also:
      - `StringLookupFactory.xmlStringLookup()`

- ## Method Details

  - ### values

    public static DefaultLookups[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DefaultLookups valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getLookup

    public Lookup getLookup()
    Gets the standard `Lookup` instance of this kind.
    Returns:
      the associated `Lookup` object

  - ### getPrefix

    public String getPrefix()
    Gets the standard prefix for the lookup object of this kind.
    Returns:
      the prefix